View and Track returns API
Introduction
This Signzy API is used to track the financial returns of a particular business for a given financial year by taking GSTIN and the particular financial year as an input. This might be useful for retrieving details about a client when not much is known other than the GSTIN and the year for which the records are required.
The following information will be extracted :
- Constitution of business
- Legal name of business
- Trade name of business
- Centre Jurisdiction
- State Jurisdiction
- Registration Date
- Date of tax payment
- Tax payer type
- Cancellation date
- Nature of business activities
- Principal place of address
How to call the API
You will need to login before sending PAN Number request. You are required to pass the access token received from the login call, as authorization header in the GSTIN request along with GSTIN Number
API Input Guidelines
- Provide unique 15-digit alphanumeric GSTIN issued by Goods and Services Tax department
- Financial year for which information is required
CURL Request
curl --location --request POST '<https://preproduction.signzy.tech/api/v2/patrons/<PATRON> ID>/gstns' \
--header 'Authorization: <AUTH>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task": "viewReturns",
"essentials": {
"gstin": "<GSTIN NUMBER>",
"financialYear": "<Financial Year>"
}
}'Request Parameters
Parameter | Required/Optional | Type | Description |
|---|---|---|---|
Authorization | Required | String | Access Token received from login |
Content-Type | Required | String | Application/JSON |
task | Required | String | Type of task - VIEW RETURNS |
essentials | Required | Object | Essential part of request body |
essentials.gstin | Required | String | GSTIN number to be searched |
essentials.financialYear | Required | Sring | Financial year to be searched for |
Response
{
"task": "viewReturns",
"essentials": {
"gstin": "",
"financialYear": "2017-18"
},
"id": "",
"patronId": "",
"result": {
"filedReturns": [
{
"valid": "Yes",
"methodOfFilling": "ONLINE",
"dateOfFilling": "",
"returnPeriod": "",
"returnType": "",
"applicationReferenceNumber": "",
"status": "Filed"
}
]
}
}Response Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
task | task will be viewReturns |
essentials.gstin | GSTIN number of the entity |
essentials.financialYear | Financial year to be searched for |
id | Unique ID of the response |
patronId | Unique ID generated from patron login call. |
result | The final response parameters to be displayed are stored here. |
result.filedReturns | This parameter contains the details of the filed returns for a particular year. |
filedReturns.valid | The validity of the transaction is denoted by this parameter. |
filedReturns.methodOfFilling | The method of filing GST returns is determined here. |
filedReturns.dateofFiling | The date of filing GST returns is displayed here. |
filedReturns.returnPeriod | The duration/length for which GST returns are being retrieved. |
filedReturns.returnType | The type of GST returns is determined here. |
filedReturns.applicationReferenceNumber | The application reference number associated with GST Return is displayed here. |
filedReturns.status | The current status of the GST Return is displayed here. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].